check_PROGRAMS = \
	tests/parse_control \
	tests/resolve_deps.basic \
	tests/arch_is_concerned \
	tests/plat_is_concerned \
	tests/reduce_deps \
	tests/substvars

TESTS = $(check_PROGRAMS)

tests_parse_control_SOURCES = \
	tests/parse_control.sh \
	tests/aux/common.sh \
	tests/aux/tap-functions.sh \
	src/locale.sh \
	src/output.sh \
	src/control.sh
tests_parse_control_LDADD = $(tests_parse_control_SOURCES:.sh=.sho)
CLEANFILES += $(tests_parse_control_LDADD)

tests_resolve_deps_basic_SOURCES = \
	tests/resolve_deps.basic.sh \
	tests/aux/common.sh \
	tests/aux/tap-functions.sh \
	src/deps.sh
tests_resolve_deps_basic_LDADD = $(tests_resolve_deps_basic_SOURCES:.sh=.sho)
CLEANFILES += $(tests_resolve_deps_basic_LDADD)

tests_arch_is_concerned_SOURCES = \
	tests/arch_is_concerned.sh \
	tests/aux/tap-functions.sh \
	src/archplat.sh
tests_arch_is_concerned_LDADD = $(tests_arch_is_concerned_SOURCES:.sh=.sho)
CLEANFILES += $(tests_arch_is_concerned_LDADD)

tests_plat_is_concerned_SOURCES = \
	tests/plat_is_concerned.sh \
	tests/aux/tap-functions.sh \
	src/archplat.sh
tests_plat_is_concerned_LDADD = $(tests_plat_is_concerned_SOURCES:.sh=.sho)
CLEANFILES += $(tests_plat_is_concerned_LDADD)

tests_reduce_deps_SOURCES = \
	tests/reduce_deps.sh \
	tests/aux/tap-functions.sh \
	src/deps.sh \
	src/archplat.sh
tests_reduce_deps_LDADD = $(tests_reduce_deps_SOURCES:.sh=.sho)
CLEANFILES += $(tests_reduce_deps_LDADD)

tests_substvars_SOURCES = \
	tests/substvars.sh \
	tests/aux/common.sh \
	tests/aux/tap-functions.sh \
	src/substvars.sh
tests_substvars_LDADD = $(tests_substvars_SOURCES:.sh=.sho)
CLEANFILES += $(tests_substvars_LDADD)
